Delete team
curl --request DELETE \
--url https://api.hubapi.com/settings/teams/2026-09-beta/{teamId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/settings/teams/2026-09-beta/{teamId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/settings/teams/2026-09-beta/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Teams
Delete team
Delete a specific team from your HubSpot account using the team’s unique identifier. This operation will remove the team and its associated data. Ensure that you have the necessary permissions to perform this action.
DELETE
/
settings
/
teams
/
2026-09-beta
/
{teamId}
Delete team
Last modified on August 3, 2026
Was this page helpful?
⌘I